uk.gov.hmrc.referencechecker

# SdltReferenceChecker

###
Related Doc: package referencechecker

#### object SdltReferenceChecker extends LetterRemainderLookup

Linear Supertypes
LetterRemainderLookup, ModulusReferenceChecker, ReferenceChecker, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SdltReferenceChecker
2. LetterRemainderLookup
3. ModulusReferenceChecker
4. ReferenceChecker
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### implicit class CharImprovements extends AnyRef

   Definition Classes
     ReferenceChecker

2. #### implicit class StringImprovements extends AnyRef

   Definition Classes
     ReferenceChecker

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val checkCharIndex: Int

   Definition Classes
     SdltReferenceChecker → ModulusReferenceChecker

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def extraChecks: List[(String) ⇒ Boolean]

   Definition Classes
     ReferenceChecker

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def isValid(reference: String): Boolean

    Definition Classes
      ReferenceChecker

15. #### val letterToNumber: Map[Char, Int]

    Definition Classes
      SdltReferenceChecker → ReferenceChecker

16. #### def mainCheck(reference: String, weightedSum: Int): Boolean

    Definition Classes
      ModulusReferenceChecker → ReferenceChecker

17. #### val modulus: Int

    Definition Classes
      LetterRemainderLookup → ModulusReferenceChecker

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### def prepareReference(reference: String): String

    Definition Classes
      ReferenceChecker

22. #### val refRegex: String

    Definition Classes
      SdltReferenceChecker → ReferenceChecker

23. #### def referenceToValidate(reference: String): String

    Definition Classes
      ReferenceChecker

24. #### val remainderLookupTable: List[Char]

    Definition Classes
      LetterRemainderLookup → ModulusReferenceChecker

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### def toString(): String

    Definition Classes
      AnyRef → Any

27. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### val weights: List[Int]

    Definition Classes
      SdltReferenceChecker → ReferenceChecker

### Inherited from LetterRemainderLookup

### Inherited from ModulusReferenceChecker

### Inherited from ReferenceChecker

### Inherited from AnyRef

### Inherited from Any

### Ungrouped